SELinux - Refactor #29778

Implement puma policy
05/13/2020 12:31 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category:
Target version: 2.1.0
Difficulty: Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-s
elinux/pull/100,
https://github.com/theforeman/foreman-s
elinux/pull/102
Description

Related issues:

Related to Katello - Refactor #30088: Puma policy changes for Katello Closed
Related to SELinux - Bug #32110: Add missing passenger websockify transition Closed
Related to SELinux - Bug #32316: Drop all passenger-related SELinux rules Closed
Blocks Foreman - Tracker #29777: Drop passenger support Closed

Associated revisions

Revision 3087a3f7 - 06/03/2020 08:05 AM - Lukas Zapletal

Fixes #29778 - puma policy, passenger optional

History

#1 - 05/13/2020 12:31 PM - Eric Helms
- Blocks Tracker #29777: Drop passenger support added

#2 - 05/14/2020 08:45 AM - Lukas Zapletal

- Tracker changed from Feature to Refactor

- Subject changed from Remove passenger policy to Remove passenger policy and implement puma policy
- Assignee set to Lukas Zapletal

- Triaged changed from No to Yes

#3 - 05/14/2020 08:46 AM - Lukas Zapletal

Since all rules will be very likely the same, it's better to do this in a single commit rather than remove all then add most of them back just with a
different domain type.

#4 - 05/15/2020 10:32 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-selinux/pull/100 added

#5 - 06/03/2020 08:05 AM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#6 - 06/03/2020 08:36 AM - Lukas Zapletal
- Subject changed from Remove passenger policy and implement puma policy to Implement puma policy

- Target version set to 2.1.0
We are not removing passenger policy yet, it can be enabled just in case Puma does not work well.

#7 - 06/03/2020 08:38 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-selinux/pull/102 added

#8 - 06/03/2020 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset 3087a3f799d112211c9eae35b2fe92a3e7186211.

#9 - 06/08/2020 01:25 PM - Tomer Brisker
- Fixed in Releases 2.1.0 added
- Fixed in Releases deleted (2.2.0)

#10 - 06/10/2020 09:01 AM - Lukas Zapletal
- Related to Refactor #30088: Puma policy changes for Katello added

#11 - 03/16/2021 02:13 PM - Lukas Zapletal
- Related to Bug #32110: Add missing passenger websockify transition added

#12 - 04/14/2021 10:39 AM - Lukas Zapletal
- Related to Bug #32316: Drop all passenger-related SELinux rules added
